Sustraer

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Remove and the translation is 13% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語
Arrow-left.svg Arch Add.svg Add component Anterior:
Siguiente: Survey Arch Survey.svg Arrow-right.svg

Arch Remove.svg Sustraer

Ubicación en el Menú
Arquitectura → Sustraer
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
Añadir


Descripción

La herramienta Sustraer te permite hacer dos tipos de operaciones:

  • Eliminar un subcomponente de un objeto de Arquitectura, por ejemplo eliminar un cubo que se ha añadido a un muro, como en el ejemplo de Añadir
  • Restar un objeto basado en formas de un objeto de Arquitectura como un muro o estructura

The counterpart of this tool is the Arch Add.svg Arch Add tool.

Arch Remove example.jpg

En la imagen superior, un cubo es sustraído de un muro

Utilización

  1. Selecciona un subcomponente de un objeto de Arquitectura, o:
  2. Selecciona objeto(s) a ser sustraídos, y luego el componente de Arquitectura del cual se desean sustraer (el componente de Arquitectura debe ser el último que selecciones)
  3. Presiona el botón Arch Remove.png Sustraer

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Arch Remove.svg button, or ArchArch Remove.svg Remove from the top menu.

Programación

La herramientas Eliminar se puede utilizar en macros y desde la consola de Python mediante la utilización de las siguientes funciones:

removeComponents(objectsList, host=None)

Elimina los componentes dados de sus padres. Si se especifica un objeto huésped, esta función tratará de añadir los componente como agujeros.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Add.svg Add component Anterior:
Siguiente: Survey Arch Survey.svg Arrow-right.svg